REST APIEnterprise

GET

Lists all available assets for a given enterprise. Must have view permissions on the enterprise

Path Params

  • enterpriseId string required

    at least 1 characters · matches ^[0-9a-f]{32}$

Query Params

  • includeTokens boolean
    True, if returning tokens.

    Defaults to false

  • excludeOfcCoins boolean
    True, if excluding off-chain assets.

    Defaults to false

Responses

200
OK

Response Body

array of strings

A list of cryptocurrency or token ticker symbols
400
Bad Request

Response Body

ONE OF

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id